#include "B4RDefines.h"
namespace B4R {
    void B4RDS3234::Initialize(Byte csPin) {
		rtc = new (sizeRtc) DS3234();
		rtc->begin(csPin);
	}
    void B4RDS3234::SetTime1(Byte sec,Byte min,Byte hour,Byte day,Byte date,Byte month,Byte year) {
		rtc->setTime(sec,min,hour,day,date,month,year);
	}
    void B4RDS3234::SetTime2(Byte sec,Byte min,Byte hour,bool pm,Byte day,Byte date,Byte month,Byte year) {
		rtc->setTime(sec,min,hour,pm,day,date,month,year);
	}
    byte B4RDS3234::getHour(void) {
		return rtc->getHour();
	}
    byte B4RDS3234::getMinute(void) {
		return rtc->getMinute();
	}
    byte B4RDS3234::getSecond(void) {
		return rtc->getSecond();
	}
    byte B4RDS3234::getDay(void) {
		return rtc->getDay();
	}
    byte B4RDS3234::getDate(void) {
		return rtc->getDate();
	}
    byte B4RDS3234::getMonth(void) {
		return rtc->getMonth();
	}
    byte B4RDS3234::getYear(void) {
		return rtc->getYear();
	}
    bool B4RDS3234::getIs12Hour(void) {
		return rtc->is12Hour();
	}
    bool B4RDS3234::getIsPM(void) {
		return rtc->pm();
	}
    void B4RDS3234::Alarm1(Byte sec,Byte min,Byte hour,Byte date,bool day) {
		rtc->setAlarm1(sec,min,hour,date,day);
	}
    void B4RDS3234::Alarm2(Byte min,Byte hour,Byte date,bool day) {
		rtc->setAlarm2(min,hour,date,day);
	}
    bool B4RDS3234::AlarmStatus1(bool clear) {
		return rtc->alarm1(clear);
	}
    bool B4RDS3234::AlarmStatus2(bool clear) {
		return rtc->alarm2(clear);
	}
    void B4RDS3234::AlarmInterrupt(bool alarm1, bool alarm2) {
		rtc->enableAlarmInterrupt(alarm1,alarm2);
	}
    void B4RDS3234::Set12Hour(bool enable12) {
		rtc->set12Hour(enable12);
	}
    float B4RDS3234::getTemperature(void) {
		return rtc->temperature();
	}
    void B4RDS3234::SRAMWrite(Byte address, Byte data) {
		rtc->writeToSRAM(address,data);
	}
    byte B4RDS3234::SRAMRead(Byte address) {
		return rtc->readFromSRAM(address);
	}
    void B4RDS3234::EnableSQW(sqw_rate value) {
		rtc->writeSQW(value);
	}
    void B4RDS3234::EnableOSC(void) {
		rtc->enable();
	}
    void B4RDS3234::DisableOSC(void) {
		rtc->disable();
	}
}